# Created by pyp2rpm-3.0.2
%global pypi_name ripozo
%global sum RESTful API framework with HATEOAS support

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        1%{?dist}
Summary:        %{sum}

License:        GPLv2+
URL:            http://ripozo.readthedocs.io/
Source0:        https://github.com/vertical-knowledge/%{pypi_name}/archive/%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools
BuildRequires:  python3-tox
BuildRequires:  python3-unittest2

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx-theme-alabaster
 
BuildRequires:  python2-devel
BuildRequires:  python-mock
BuildRequires:  python2-setuptools
BuildRequires:  python-tox
BuildRequires:  python-unittest2

%description
Ripozo is a tool for building RESTful/HATEOAS/Hypermedia APIs. It provides
strong, simple, and fully qualified linking between resources, the ability
to expose available actions and necessary parameters on a resource, and
exposing multiple REST protocols (i.e. SIREN and HAL). Finally, ripozo is
highly extensible. It is able to integrate with any web framework or database
and you can easily roll out your own REST protocols.


%package -n     python3-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3-six
Suggests:       %{name}-doc = %{version}-%{release}

%description -n python3-%{pypi_name}
Ripozo is a tool for building RESTful/HATEOAS/Hypermedia APIs. It provides
strong, simple, and fully qualified linking between resources, the ability
to expose available actions and necessary parameters on a resource, and
exposing multiple REST protocols (i.e. SIREN and HAL). Finally, ripozo is
highly extensible. It is able to integrate with any web framework or database
and you can easily roll out your own REST protocols.


%package -n     python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python-six
Suggests:       %{name}-doc = %{version}-%{release}

%description -n python2-%{pypi_name}
Ripozo is a tool for building RESTful/HATEOAS/Hypermedia APIs. It provides
strong, simple, and fully qualified linking between resources, the ability
to expose available actions and necessary parameters on a resource, and
exposing multiple REST protocols (i.e. SIREN and HAL). Finally, ripozo is
highly extensible. It is able to integrate with any web framework or database
and you can easily roll out your own REST protocols.


%package doc
Summary: Documentation for python-%{pypi_name} package

%description doc
Documentation for ripozo, a tool for building RESTful/HATEOAS/Hypermedia APIs.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build
%py2_build

cd docs/
make SPHINXBUILD=sphinx-build-3 html
rm build/html/.buildinfo
cd ..


%install
%py3_install
%py2_install


%check
%{__python3} setup.py test
%{__python2} setup.py test


%files -n python3-%{pypi_name} 
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python2-%{pypi_name} 
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py%{python2_version}.egg-info

%files doc
%doc README.rst CHANGELOG.rst
%doc docs/build/html
%license LICENSE.txt

%changelog
* Fri May 13 2016 Miro Hrončok <mhroncok@redhat.com> - 1.3.0-1
- Initial package.